function [Y] = prehraj(vysledky,X)
%funkce ulozi do souboru Poslech.wav aproximovany sign?l
Y = vysledky.D*X; %vypocet matice Y
n = size(Y,1)*size(Y,2); %velikost vektoru o poctu hodnot matice
y = zeros(n,1); %vytvoreni prazdneho vektoru pro ukladani hodnot
k = size(Y,1); %pocet sloupcu matice Y
for i = 1:size(Y,2) %iterace po sloupcich
    if i == 1 
        y (1:k) = Y(:,1);
    else
         y ((((i-1)*k)+1):i*k) = Y(:,1);
    end
end
Y = zeros(size(y,1),2);
Y(:,1) = y;
Y(:,2) = y;
audiowrite('Poslech.wav',Y,48000);